Subject: Help...Creeping Myrtle taking over.How do you get rid of???

From: [email-masked]
Date: Fri, 21 Jul 1995 21:05:46 GMT

I live in the Northern Calif. area of Shasta County.I have Creeping
Myrtle all over the slopes of my home and it is taking over and I mean
taking over.I've tried RoundUp in large doses but to no avail.I've
tried trimming back and cutting down but it is winning by about 8 to
10 feet per year.
   Does anyone out there have any experience or suggestive knowhow
about this.
   Thanks a bunch. Awaiting your reply,anxiously.

 E-mail to [email-masked]